Loading...
Searching...
No Matches
Primitive Class Reference
Inheritance diagram for Primitive:

## Classes

struct | Identifier

## Public Types

enum | Type { Invalid = -1 , Atom , Bond }

## Public Member Functions

| Primitive (Identifier id, const Vector3ub &color_)
Identifier | identifier () const
void | setIdentifier (Identifier id)
const Vector3ub & | color () const
void | setColor (const Vector3ub &c)

## Member Enumeration Documentation

## Type

enum Type

Identifies the type of object a primitive represents.

The documentation for this class was generated from the following file:

- primitive.h